#include "HelpDialog.h"


HelpDialog::HelpDialog(QString helpMsg,QWidget *parent,Qt::WindowFlags f) : QDialog(parent,f)  {
	
	dialogButtons = new QDialogButtonBox(QDialogButtonBox::Close);
	connect(dialogButtons,SIGNAL(rejected()),this,SLOT(reject()));

	QVBoxLayout * topLayout = new QVBoxLayout;
	
	
	textArea = new QTextEdit(this);
	textArea->setReadOnly(true);
	textArea->setText(helpMsg);
	textArea->setTabStopWidth (20);

	topLayout->addWidget(textArea);
	topLayout->addWidget(dialogButtons);
	setLayout(topLayout);

	setMinimumSize(500,400);
}

HelpDialog::~HelpDialog(){}

